package com.bonus.canteen.core.supply.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

@ApiModel
public class DrpSupplierScoreRuleSectionAddDTO {
   @ApiModelProperty("主键id")
   private Long id;
   @ApiModelProperty("规则id")
   private Long ruleId;
   @ApiModelProperty("左端值")
   private BigDecimal leftValue;
   @ApiModelProperty("右端值")
   private BigDecimal rightValue;
   @ApiModelProperty("区间设定分数")
   private @NotNull(
   message = "区间设定分数不能为空!"
) BigDecimal sectionScore;

   public Long getId() {
      return this.id;
   }

   public Long getRuleId() {
      return this.ruleId;
   }

   public BigDecimal getLeftValue() {
      return this.leftValue;
   }

   public BigDecimal getRightValue() {
      return this.rightValue;
   }

   public BigDecimal getSectionScore() {
      return this.sectionScore;
   }

   public DrpSupplierScoreRuleSectionAddDTO setId(final Long id) {
      this.id = id;
      return this;
   }

   public DrpSupplierScoreRuleSectionAddDTO setRuleId(final Long ruleId) {
      this.ruleId = ruleId;
      return this;
   }

   public DrpSupplierScoreRuleSectionAddDTO setLeftValue(final BigDecimal leftValue) {
      this.leftValue = leftValue;
      return this;
   }

   public DrpSupplierScoreRuleSectionAddDTO setRightValue(final BigDecimal rightValue) {
      this.rightValue = rightValue;
      return this;
   }

   public DrpSupplierScoreRuleSectionAddDTO setSectionScore(final BigDecimal sectionScore) {
      this.sectionScore = sectionScore;
      return this;
   }

   public String toString() {
      Long var10000 = this.getId();
      return "DrpSupplierScoreRuleSectionAddDTO(id=" + var10000 + ", ruleId=" + this.getRuleId() + ", leftValue=" + String.valueOf(this.getLeftValue()) + ", rightValue=" + String.valueOf(this.getRightValue()) + ", sectionScore=" + String.valueOf(this.getSectionScore()) + ")";
   }
}
